<app-navbar></app-navbar>
<a id="button"></a>
<div class="bonjor d-block d-lg-none">
    <!-- <a href="javascript:void0;" class="text-white mm">
        <span class="b"><i class="fa-solid fa-globe"></i> Recherche d'événements</span>
    </a> -->
    <span class="filtres"><a href="#" data-bs-toggle="modal" data-bs-target="#filtres">Filtres <i
                class="fa-regular fa-angle-down fw-900"></i></a></span>
</div>
<div class="page-content pt-15">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-2 side-3">
                <div class="d-none d-sm-none d-md-none d-lg-block">




                    <div>
                        <h6 class="side3-h6">Tous les produits</h6>
                        <ul class="mode-select" (click)="selectAllProduct($event)">
                            <li>
                                <div class="">
                                    <label class="container-rd mb-0">Tous les produits
                                    <input type="radio" name="radio">
                                     
                                <span class="checkmark-rd"></span>
                                </label>
                                </div>
                            </li>
                        </ul>
                    </div>


                    <div>
                        <h6 class="side3-h6">Commentaires moyens des clients </h6>
                        <ul class="star-select" (change)="selectRating($event)">
                            <li>
                                <a>
                                    <div class="stars">
                                        <input class="star star-5" id="star-1" type="radio" name="star" value="5" />
                                        <label class="star star-5" for="star-1"></label>
                                        <input class="star star-4" id="star-2" type="radio" name="star" value="4" />
                                        <label class="star star-4" for="star-2"></label>
                                        <input class="star star-3" id="star-3" type="radio" name="star" value="3" />
                                        <label class="star star-3" for="star-3"></label>
                                        <input class="star star-2" id="star-4" type="radio" name="star" value="2" />
                                        <label class="star star-2" for="star-4"></label>
                                        <input class="star star-1" id="star-5" type="radio" name="star" value="1" />
                                        <label class="star star-1" for="star-5"></label>
                                        <span> </span>
                                    </div>
                                </a>
                            </li>

                        </ul>
                    </div>

                    <div>
                        <h6 class="side3-h6">Prix</h6>
                        <ul class="mode-select">
                            <li (click)="selectprice($event,1)">
                                <div class="">
                                    <label class="container-rd">Jusqu'À 20 CFA
                                    <input type="radio" class="{{classForPriceRadio_1}}" id="1" name="radio" value="20" />
                                    <span class="checkmark-rd"></span>
                                     </label>
                                </div>
                            </li>
                            <li (click)="selectprice($event,2)">
                                <div class="">
                                    <label class="container-rd">20 À 50 CFA 
                                    <input type="radio" class="{{classForPriceRadio_2}}" id="2" name="radio" value="50" />
                                    <span class="checkmark-rd"></span>
                                    </label>
                                </div>
                            </li>
                            <li (click)="selectprice($event,3)">
                                <div class="">
                                    <label class="container-rd">50 À 100 CFA
                                    <input type="radio" class=" {{classForPriceRadio_3}}" id="3" name="radio" value="100" />
                                    <span class="checkmark-rd"></span>
                                    </label>
                                </div>
                            </li>
                            <li (click)="selectprice($event,4)">
                                <div class="">
                                    <label class="container-rd">100 À 200 CFA
                                    <input type="radio" class="{{classForPriceRadio_4}}" id="4" name="radio" value="200" />
                                    <span class="checkmark-rd"></span>
                                    </label>
                                </div>
                            </li>
                            <li (click)="selectprice($event,5)">
                                <div class="">
                                    <label class="container-rd">200 À 300 CFA
                                    <input type="radio" class="{{classForPriceRadio_5}}" id="5" name="radio" value="300" />
                                    <span class="checkmark-rd"></span>
                                    </label>
                                </div>
                            </li>
                            <li (click)="selectprice($event,6)">
                                <div class="">
                                    <label class="container-rd">500 CFA et plus
                                    <input type="radio" class="{{classForPriceRadio_6}}" id="6" name="radio" value="1000000000000" />
                                    <span class="checkmark-rd"></span>
                                    </label>
                                </div>
                            </li>
                        </ul>
                    </div>


                    <div>
                        <h6 class="side3-h6">Condition</h6>
                        <ul class="mode-select" (click)="selectcondition($event)">
                            <li>
                                <div class="">
                                    <label class="container-rd mb-0">Neuf
                                    <input type="radio" name="radio">
                                     
                                <span class="checkmark-rd"></span>
                                </label>
                                </div>
                            </li>
                            <li>
                                <div class="">
                                    <label class="container-rd">Ocasion
                                        <input type="radio" name="radio">
                                        
                                        <span class="checkmark-rd"></span>
                                     </label>
                                </div>
                            </li>

                        </ul>
                    </div>
                    

                    <div>
                        <h6 class="side3-h6">D'enchères</h6>
                        <ul class="mode-select" >
                            <li>
                                <div class="">
                                    <label class="container-rd mb-0">Produits d'enchères
                                    <input type="checkbox" name="radio"   (change)="isAuctionClick($event)"  />
                                     
                                <span class="checkmark-rd"></span>
                                </label>
                                </div>
                            </li>
                             

                        </ul>
                    </div>


                </div>
            </div>
            <div class="col-lg-10">



                <div class="d-none d-sm-none d-md-none d-lg-block m-b-30">
                    <div class="row ">
                        <h2 class="mb-0">Catégories</h2>

                        <ul class="breadcrumb">
                            <li><a class="li_a" routerLink="/">Accueil</a></li>

                            <li *ngFor="let val of all_Category">
                                <a class="li_a" href="javascript:void(0)" (click)="removeCategory(val.id)">{{val.title}}</a>
                            </li>
                            <!-- <li><a class="li_a" href="#">Summer 15</a></li> -->
                            <!-- <li>Italy</li> -->
                        </ul>



                        <div class="col-lg-3 col-md-3 col-sm-6 col-12 text-center" style="height:250px" *ngFor="let cat of parentCat; let i=index">
                            <div class="container-img">
                                <a href="javascript:void(0)" (click)="clickCategory(cat._id)" class="featur-img">
                                    <div>
                                        <ng-container *ngIf="cat.image; else elseCatImg">

                                            <img class="p-img image" src="{{baseurl}}static/public/{{cat.image}}" width="">
                                        </ng-container>
                                        <ng-template #elseCatImg>
                                            <img class="p-img image" src="{{baseurl}}static/public/media/no-image.jpeg" width="">

                                        </ng-template>
                                    </div>
                                    <div class="product-nam p-0">
                                        <h6 class="product-n-h p-0">
                                            <a class="upper_case_class">{{cat.title}}</a>
                                        </h6>
                                    </div>
                                </a>
                            </div>
                        </div>

                    </div>
                </div>


                <section class="section-products d-sm-block d-md-block d-lg-block" *ngIf="items">

                    <div class="container p-0">


                        <div class="col-12 col-sm-6 col-md-3 col-lg-3 mb-4 mb-md-0 btn-aling " style="padding-bottom: 20px;padding-left: 0;">
                            <select class="form-control" (change)="sortData(selectedIndex,$event)"> 
                               <option value="1">Trier par prix croissant</option>
                               <option value="-1">Trier par prix décroissant</option> 
                            </select>
                        </div>


                        <div class=" plr-15 mob-m-0 p-0">
                            <div class="col-lg-12 col-md-12 col-sm-12 col-12 p-0">
                                <p class="p-head"> <span style="color:#31a64f">{{items.length}}</span> Nombre de résultats trouvés dans cette catégorie.

                                </p>
                            </div>
                        </div>


                        <div class="flex-container1">

                            <div class="flex-itm" *ngFor="let pro of items">
                                <div class="single-product">
                                    <div class="product-wrapper text-center">
                                        <div class="product-img">
                                            <div class="text-center pro-f-img">
                                                <a routerLink="/view-product/{{pro._id}}">
                                                    <ng-container *ngIf="pro.images.length > 0;else elseImg">
                                                        <img class="mw-100 mob-size"
                                                            src="{{baseurl}}static/public/{{pro.images[0]}}" />
                                                    </ng-container>
                                                    <ng-template #elseImg>
                                                        <img class="mw-100 mob-size"
                                                            src="./assets/build/img/nopro2.png" />
                                                    </ng-template>
                                                </a>
                                                <!-- <div class="product-action">
                                                    <div class="product-action-style">
                                                        <a href="#" data-toggle="modal" data-target="#myModal" (click)="openQW(pro._id)">
                                                            Aperçu rapide
                                                        </a>
                                                    </div>
                                                </div> -->


                                                <div class="part-2">
                                                    <div class="product-detail1">
                                                        <p class="mb-0"><a class="ankr-nam pro-title">{{pro.title}}</a>
                                                        </p>
                                                        <div class="ra-ting-spn" style="cursor: not-allowed !important;">
                                                            <ngb-rating [max]=5 [(rate)]="pro.avgRating"></ngb-rating>
                                                            <span>
                                                                ({{ pro.totalRating }})
                                                            </span>
                                                        </div>
                                                        <div class="offer-pn">
                                                            <h3 class="mb-0 f-s-20">
                                                                <a class="flex-pr">
                                                                    <span>{{pro.price}} CFA</span>
                                                                    <a *ngIf="pro.isFav == 0" class="" (click)="addFavItem(pro._id)">
                                                                        <i class="fa-regular fa-heart fa-i" style="color: #31a64f;"></i>
                                                                    </a>
                                                                    <a *ngIf="pro.isFav == 1" class="float-right" (click)="removeFavItem(pro.favProduct[0]._id)">
                                                                        <i class="fa-solid fa-heart fa-i" style="color: #31a64f;"></i>
                                                                    </a>
                                                                    <!-- <span class="s-price"> </span> -->
                                                                </a>
                                                            </h3>

                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>




                            </div>

                        </div>

                        <div *ngIf="items.length != 0 ||  items.length != null || items.length != undefined ">
                            <ul class="pagination">
                                <li *ngFor="let item of numbers; let i = index" [class.active]="selectedIndex === i" (click)="getProducts(item)">
                                    <a class="" href="javascript:void(0)">{{item+1}}</a>
                                </li>
                            </ul>
                        </div>


                        <div class="page-content screen-pt-50 screen-mb-50" *ngIf="items.length == 0 ||  items.length == null || items.length == undefined ">
                            <ng-container *ngIf="apiResponseCheck == 0">
                                <div class="container">
                                    <div class="screen-mtb-50">
                                        <div class="row">
                                            <div class="col-lg-8 col-md-8 col-sm-12 col-12 m-a mob-canter">
                                                <div class="row">

                                                    <div class="col-lg-12 col-sm-12 col-md-12 col-12 a-s-c text-center">
                                                        <img class="mw-100" src="./assets/build/img/no-product-found.png" width="180" />
                                                        <h2 class="f-w-600 mt-3">Désolé, aucun produit trouvé</h2>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </ng-container>
                        </div>


                    </div>
                </section>

                <!-- <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-12">
                    <div class="pagination">
                        <a >&laquo;</a>
                        <a >1</a>
                        <a  class="active">2</a>
                        <a >3</a>
                        <a >4</a>
                        <a >5</a>
                        <a >&raquo;</a>
                    </div>
                </div>
            </div> -->
            </div>
        </div>
    </div>
</div>
<!--quick view-->
<!-- The Modal -->
<!-- <div class="modal" id="myModal">
    <div class="modal-dialog modal-lg">
        <div class="modal-content" *ngIf="singleQWProduct">
           
            <div class="modal-header modl-hedr">
                <button type="button" class="close hedr-clos" data-dismiss="modal"><i
                        class="fa-solid fa-xmark"></i></button>
            </div>
             
            <div class="modal-body">
                <div class="row">
                    <div class="col-lg-7">
                        <div id="demo" class="carousel slide" data-bs-ride="carousel">
                            
                            <div class="carousel-inner">
                                <div class="carousel-item active">
                                    <ng-container *ngIf="singleQWProduct.images.length > 0;else elseImg1">
                                        <img class="mw-100" src="{{baseurl}}static/public/{{singleQWProduct.images[0]}}" alt="Los Angeles" class="d-block" style="width:500" />
                                    </ng-container>
                                    <ng-template #elseImg1>
                                        <img class="mw-100 " src="./assets/build/img/nopro2.png" class="d-block" />
                                    </ng-template>

                                </div>
                                <div class="carousel-item" *ngFor="let img of singleQWProduct.images">
                                    
                                    <ng-container *ngIf="img.length > 0;else elseImg">
                                        <img class="mw-100" src="{{baseurl}}static/public/{{img}}" class="d-block" style="width:500" />
                                    </ng-container>
                                    <ng-template #elseImg>
                                        <img class="mw-100 " src="./assets/build/img/nopro2.png" class="d-block" />
                                    </ng-template>
                                </div>
                                
                            </div>
                            
                            <button class="carousel-control-prev" type="button" data-bs-target="#demo" data-bs-slide="prev">
                                <span class="carousel-control-prev-icon"></span>
                            </button>
                            <button class="carousel-control-next" type="button" data-bs-target="#demo" data-bs-slide="next">
                                <span class="carousel-control-next-icon"></span>
                            </button>
                        </div>
                    </div>
                    <div class="col-lg-5">
                       
                        <h3 class="lhn">{{singleQWProduct.title}}</h3>
                        <div class="stars">
                            <form class="star-r" action="">
                                <input class="star star-5" id="star-21" type="radio" name="star">
                                <label class="star star-5" for="star-21"></label>
                                <input class="star star-4" id="star-22" type="radio" name="star">
                                <label class="star star-4" for="star-22"></label>
                                <input class="star star-3" id="star-23" type="radio" name="star">
                                <label class="star star-3" for="star-23"></label>
                                <input class="star star-2" id="star-24" type="radio" name="star">
                                <label class="star star-2" for="star-24"></label>
                                <input class="star star-1" id="star-25" type="radio" name="star">
                                <label class="star star-1" for="star-25"></label>
                            </form>
                           
                        </div>
                        <div>
                            <span><strong>{{singleQWProduct.price}} CFA</strong></span>
                        </div>

                        <a routerLink="/view-product/{{singleQWProduct._id}}" target="_blank"> <button class="btn btn-theme-fill">Voir le détail de l'article</button></a>
                    </div>
                </div>
            </div>
           
            <div class="modal-footer p-30 bt-0">
                <div class="carousel-indicators p-20">
                    <div *ngFor="let img of singleQWProduct.images; let i=index">
                        <button type="button" data-bs-target="#demo" data-bs-slide-to=i class="active">
                             
                                <ng-container *ngIf="img.length > 0;else elseImg">
                                    <img class="mw-100"
                                        src="{{baseurl}}static/public/{{img}}"  class="d-block"  style="width:100%"/>
                                </ng-container>
                                <ng-template #elseImg>
                                    <img class="mw-100 "
                                        src="./assets/build/img/nopro2.png" class="d-block" />
                                </ng-template>
                        </button>
                    </div>

                   
                </div>
            </div>
        </div>
    </div>
</div> -->
<div class="modal" id="filtres">
    <div class="modal-dialog modl-filtres">
        <div class="modal-content">
            <!-- Modal Header -->
            <div class="modal-header">

                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>
            <!-- Modal body -->
            <div class="modal-body filtres-h">


                <div>
                    <h6 class="side3-h6">Tous les produits</h6>
                    <ul class="mode-select" (click)="selectAllProduct($event)">
                        <li>
                            <div class="">
                                <label class="container-rd mb-0">Tous les produits
                                <input type="radio" name="radio">
                                 
                            <span class="checkmark-rd"></span>
                            </label>
                            </div>
                        </li>
                    </ul>
                </div>

                <div>
                    <h6 class="side3-h6">Commentaires moyens des clients </h6>
                    <ul class="star-select" (change)="selectRating($event)">
                        <li>
                            <a>
                                <div class="stars">
                                    <input class="star star-5" id="star-1" type="radio" name="star" value="5" />
                                    <label class="star star-5" for="star-1"></label>
                                    <input class="star star-4" id="star-2" type="radio" name="star" value="4" />
                                    <label class="star star-4" for="star-2"></label>
                                    <input class="star star-3" id="star-3" type="radio" name="star" value="3" />
                                    <label class="star star-3" for="star-3"></label>
                                    <input class="star star-2" id="star-4" type="radio" name="star" value="2" />
                                    <label class="star star-2" for="star-4"></label>
                                    <input class="star star-1" id="star-5" type="radio" name="star" value="1" />
                                    <label class="star star-1" for="star-5"></label>
                                    <span> </span>
                                </div>
                            </a>
                        </li>

                    </ul>
                </div>

                <div>
                    <h6 class="side3-h6">Prix</h6>
                    <ul class="mode-select">
                        <li (click)="selectprice($event,1)">
                            <div class="">
                                <label class="container-rd">Jusqu'À 20 CFA
                                <input type="radio" class="{{classForPriceRadio_1}}" id="1" name="radio" value="20" />
                                <span class="checkmark-rd"></span>
                                 </label>
                            </div>
                        </li>
                        <li (click)="selectprice($event,2)">
                            <div class="">
                                <label class="container-rd">20 À 50 CFA 
                                <input type="radio" class="{{classForPriceRadio_2}}" id="2" name="radio" value="50" />
                                <span class="checkmark-rd"></span>
                                </label>
                            </div>
                        </li>
                        <li (click)="selectprice($event,3)">
                            <div class="">
                                <label class="container-rd">50 À 100 CFA
                                <input type="radio" class=" {{classForPriceRadio_3}}" id="3" name="radio" value="100" />
                                <span class="checkmark-rd"></span>
                                </label>
                            </div>
                        </li>
                        <li (click)="selectprice($event,4)">
                            <div class="">
                                <label class="container-rd">100 À 200 CFA
                                <input type="radio" class="{{classForPriceRadio_4}}" id="4" name="radio" value="200" />
                                <span class="checkmark-rd"></span>
                                </label>
                            </div>
                        </li>
                        <li (click)="selectprice($event,5)">
                            <div class="">
                                <label class="container-rd">200 À 300 CFA
                                <input type="radio" class="{{classForPriceRadio_5}}" id="5" name="radio" value="300" />
                                <span class="checkmark-rd"></span>
                                </label>
                            </div>
                        </li>
                        <li (click)="selectprice($event,6)">
                            <div class="">
                                <label class="container-rd">500 CFA et plus
                                <input type="radio" class="{{classForPriceRadio_6}}" id="6" name="radio" value="1000000000000" />
                                <span class="checkmark-rd"></span>
                                </label>
                            </div>
                        </li>
                    </ul>
                </div>


                <div>
                    <h6 class="side3-h6">Condition</h6>
                    <ul class="mode-select" (click)="selectcondition($event)">
                        <li>
                            <div class="">
                                <label class="container-rd mb-0">Neuf
                                <input type="radio" name="radio">
                                 
                            <span class="checkmark-rd"></span>
                            </label>
                            </div>
                        </li>
                        <li>
                            <div class="">
                                <label class="container-rd">Ocasion
                                    <input type="radio" name="radio">
                                    
                                    <span class="checkmark-rd"></span>
                                 </label>
                            </div>
                        </li>

                    </ul>
                </div>
                
                
                <div>
                    <h6 class="side3-h6">D'enchères</h6>
                    <ul class="mode-select" >
                        <li>
                            <div class="">
                                <label class="container-rd mb-0">Produits d'enchères
                                <input type="checkbox" name="radio"   (change)="isAuctionClick($event)"  />
                                 
                            <span class="checkmark-rd"></span>
                            </label>
                            </div>
                        </li>
                         

                    </ul>
                </div>

                <div _ngcontent-tqm-c236="" class="d-block mt-3"><button _ngcontent-tqm-c236="" class="btn btn-green w-a" data-bs-dismiss="modal"> Valider </button>
                    <!-- <a href="/productList" class="btn btn-green w-a">Tous les produits</a> -->
                </div>

                <div _ngcontent-tqm-c236="" class="d-block mt-3">
                    
                </div>
            </div>

        </div>
    </div>
</div>
<app-footer></app-footer>